Loading...
Searching...
No Matches
parser_wps.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <grass/config.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "parser_local_proto.h"`
Include dependency graph for parser_wps.c:

Go to the source code of this file.

## Macros

#define | TYPE_OTHER -1
#define | TYPE_RASTER 0
#define | TYPE_VECTOR 1
#define | TYPE_PLAIN_TEXT 2
#define | TYPE_RANGE 3
#define | TYPE_LIST 4
#define | TYPE_STDS 5 /* Space time datasets of type raster, raster3d and vector */
#define | TYPE_STRDS 6 /* Space time raster datasets */
#define | TYPE_STVDS 7 /* Space time vector datasets */
#define | WPS_INPUT 0
#define | WPS_OUTPUT 1

## Functions

void | G__wps_print_process_description (void)
| Print the WPS 1.0.0 process description XML document to stdout.

## Macro Definition Documentation

## TYPE_LIST

#define TYPE_LIST 4

Definition at line 26 of file parser_wps.c.

## TYPE_OTHER

#define TYPE_OTHER -1

Definition at line 21 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_PLAIN_TEXT

#define TYPE_PLAIN_TEXT 2

Definition at line 24 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_RANGE

#define TYPE_RANGE 3

Definition at line 25 of file parser_wps.c.

## TYPE_RASTER

#define TYPE_RASTER 0

Definition at line 22 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_STDS

#define TYPE_STDS 5 /* Space time datasets of type raster, raster3d and vector */

Definition at line 27 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_STRDS

#define TYPE_STRDS 6 /* Space time raster datasets */

Definition at line 29 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_STVDS

#define TYPE_STVDS 7 /* Space time vector datasets */

Definition at line 30 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## TYPE_VECTOR

#define TYPE_VECTOR 1

Definition at line 23 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## WPS_INPUT

#define WPS_INPUT 0

Definition at line 31 of file parser_wps.c.

Referenced by G__wps_print_process_description().

## WPS_OUTPUT

#define WPS_OUTPUT 1

Definition at line 32 of file parser_wps.c.

## Function Documentation

## G__wps_print_process_description()

void G__wps_print_process_description | ( | void |  | ) |

Print the WPS 1.0.0 process description XML document to stdout.

A module started with the parameter "--wps-process-description" will write a process description XML document to stdout and exit.

Currently only raster and vector modules are supported, but the generation works with any module (more or less meaningful). Most of the input options are caught:

- single and multiple raster and vector maps
- single and multiple string, float and integer data with default values and value options (range is missing) Flags are supported as boolean values.

The mime types for vector maps are GML, KML, dgn, shape and zipped shape.

The mime types for raster maps are tiff, geotiff, hfa, netcdf, gif, jpeg and png.

Mime types for space time datasets are tar archives with gz, bzip or without compression

The mime types are reflecting the capabilities of grass and gdal and may be extended.

BoundignBox support is currently not available for inputs and outputs. Literal data output (string, float or integer) is currently not supported.

In case no output parameter was set (new raster of vector map) the stdout output is noticed as output parameter of mime type text/plain.

Multiple vector or raster map outputs marked as one option are not supported (wps 1.0.0 specification does not allow multiple outputs with only one identifier). Multiple outputs must be wrapped via a python script or created as group.

In future the following mimetypes may be supported mime type: application/grass-vector-ascii -> a text file generated with v.out.asci Example.: urn:file:///path/name mime type: application/grass-vector-binary -> the binary vectors must be addressed with a non standard urn: Example: urn:grass:vector:location/mapset/name

Definition at line 156 of file parser_wps.c.

References G_free(), G_program_name(), G_store(), G_warning(), max, min, NULL, strcpy, TYPE_OTHER, TYPE_PLAIN_TEXT, TYPE_RASTER, TYPE_STDS, TYPE_STRDS, TYPE_STVDS, TYPE_VECTOR, and WPS_INPUT.

Referenced by G_parser().